# Uses of Class
org.apache.felix.http.base.internal.runtime.ListenerInfo

Packages that use ListenerInfo
Package
Description
org.apache.felix.http.base.internal.handler
org.apache.felix.http.base.internal.registry
org.apache.felix.http.base.internal.runtime.dto

## Uses of ListenerInfo in org.apache.felix.http.base.internal.handler

Methods in org.apache.felix.http.base.internal.handler that return ListenerInfo
Modifier and Type
Method
Description
`ListenerInfo`
ListenerHandler.`getListenerInfo()`
Constructors in org.apache.felix.http.base.internal.handler with parameters of type ListenerInfo
Modifier
Constructor
Description
``
`ListenerHandler(long contextServiceId, ExtServletContext context, ListenerInfo listenerInfo, org.osgi.framework.BundleContext bundleContext)`

## Uses of ListenerInfo in org.apache.felix.http.base.internal.registry

Methods in org.apache.felix.http.base.internal.registry with parameters of type ListenerInfo
Modifier and Type
Method
Description
`static void`
EventListenerRegistry.`contextDestroyed(@NotNull ListenerInfo info, @NotNull jakarta.servlet.ServletContextListener listener, @NotNull jakarta.servlet.ServletContextEvent event)`
`static void`
EventListenerRegistry.`contextInitialized(@NotNull ListenerInfo info, @NotNull jakarta.servlet.ServletContextListener listener, @NotNull jakarta.servlet.ServletContextEvent event)`
`ListenerHandler`
ListenerMap.`getListenerHandler(@NotNull ListenerInfo info)`
`@Nullable ListenerHandler`
EventListenerRegistry.`getServletContextListener(@NotNull ListenerInfo info)`
Get the listener handler for the listener info
`ListenerHandler`
ListenerMap.`remove(ListenerInfo info)`
`void`
EventListenerRegistry.`removeListeners(@NotNull ListenerInfo info)`
Remove listeners
`void`
PerContextHandlerRegistry.`unregisterListeners(@NotNull ListenerInfo info)`
Unregister listeners

## Uses of ListenerInfo in org.apache.felix.http.base.internal.runtime.dto

Methods in org.apache.felix.http.base.internal.runtime.dto with parameters of type ListenerInfo
Modifier and Type
Method
Description
`static org.osgi.service.servlet.runtime.dto.ListenerDTO`
ListenerDTOBuilder.`build(ListenerInfo info, int reason)`